//////////////////////////////////////////////////////////////////////////////////
//                                                                              //
//	$Revision: 2 $																//
//																				//
//	Name       : SwiSMSSampleDlg.h												//
//                                                                              //
//	Purpose    : Main dialog declaration for SwiSMSSample						//
//																				//
//				 This sample demonstrates sending and receiving SMS Messages	//
//																				//
//	Copyright (c) 2002-2003 Sierra Wireless, Inc.  All rights reserved			//
//																				//
//////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SwiSMSSampleDLG_H__A2936C92_CA9C_4F10_BA33_925FAB1F4426__INCLUDED_)
#define AFX_SwiSMSSampleDLG_H__A2936C92_CA9C_4F10_BA33_925FAB1F4426__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "resource.h"
#include "SendSMSDlg.h"
#include <GobiConnectionMgmtAPI.h>
#include "SwiWwanCmApi.h"
#include "MTListCtrl.h"
#include "SMSEngine.h"

class CSMSSampleDlg : public CDialog
{
// Construction
public:
	CSMSSampleDlg(CWnd* pParent = NULL);	// standard constructor
	
// Dialog Data
	//{{AFX_DATA(CSMSSampleDlg)
	enum { IDD = IDD_SMSSAMPLE_DIALOG };
	CButton		m_btnSend;
	CEdit		m_editMesgBody;
	CButton		m_btnDelete;
    CButton     m_btnDeleteAll;
	CEdit		m_editStatus;
	CButton		m_btnConnect;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSMSSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON			m_hIcon;
	CMTListCtrl		m_InboxUI;
	CSMSEngine		m_SmsEngine;

 	// Search for available device
	BOOL DeviceSearch();

	// Generated message map functions
	//{{AFX_MSG(CSMSSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSendsms();
	afx_msg void OnClickSmsinboxlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeleteSms();
	afx_msg void OnDeleteAllSms();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg LRESULT OnNotifDeviceRemoval(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnNotifNewSMS(WPARAM wParam, LPARAM lParam);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SwiSMSSampleDLG_H__A2936C92_CA9C_4F10_BA33_925FAB1F4426__INCLUDED_)
